# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Catalyst.pm) perl(Catalyst/Runtime.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Test/More.pm) perl(URI/http.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name CatalystX-FacebookURI
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Automatically compose uri_for URIs to be within your Facebook application
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NA/NACHBAUR/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

    package MyApp;
    use Moose;
    BEGIN {
        extends 'Catalyst';

        use Catalyst::Runtime 5.80;
        use Catalyst qw(
            ...
            Facebook
        );
        with 'CatalystX::FacebookURI';
    }

    __PACKAGE__->config(
        facebook => {
            api_key => 'my_key',
            secret  => 'my_s33krit',
            name    => 'myapp'  # Used as app name in URIs
        }
    );
    ...

    my $uri = $c->uri_for('/some/path'); # returns http://apps.facebook.com/myapp/some/path


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
* Tue Sep 03 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

